Gecode::Choice Class Reference
Functionality by programming task » Programming actors

Choice for performing commit More...

`#include <core.hpp>`

## Public Member Functions

unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.
virtual void | archive (Archive &e) const
| Archive into e.

## Protected Member Functions

| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Choice for performing commit

Must be refined by inheritance such that the information stored inside a choice is sufficient to redo a commit performed by a particular brancher.

Definition at line 1412 of file core.hpp.

## Constructor & Destructor Documentation

## Choice()

Gecode::Choice::Choice | ( | const Brancher & | b,
|  | const unsigned int | a )

inline protected

Initialize for particular brancher b and alternatives a.

Definition at line 3766 of file core.hpp.

## ~Choice()

Gecode::Choice::~Choice | ( | void |  | ) |

inline virtual

Destructor.

Reimplemented in CDBF::Choice.

Definition at line 3780 of file core.hpp.

## Member Function Documentation

## alternatives()

unsigned int Gecode::Choice::alternatives | ( | void |  | ) | const

inline

Return number of alternatives.

Definition at line 3770 of file core.hpp.

## archive()

void Gecode::Choice::archive | ( | Archive & | e | ) | const

virtual

Archive into e.

Reimplemented in CDBF::Choice, Gecode::FlatZinc::AuxVarBrancher::Choice, Gecode::FlatZinc::PosIntChoice, Gecode::Gist::StopChoice, Gecode::Int::Branch::PosValuesChoice, Gecode::Int::LDSB::LDSBChoice< Val >, Gecode::Kernel::FunctionBranch::Description, Gecode::PosChoice, Gecode::PosValChoice< Val >, SteelMill::SteelMillBranch::Choice, and Warnsdorff::Choice.

Definition at line 891 of file core.cpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/core.cpp